Sign In
curl --request POST \
--url https://api.replyke.com/api/v6/:projectId/auth/sign-in \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/auth/sign-in"
payload = {
"email": "<string>",
"password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', password: '<string>'})
};
fetch('https://api.replyke.com/api/v6/:projectId/auth/sign-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"accessToken": "<string>",
"refreshToken": "<string>",
"user": {
"id": "<string>",
"email": "<string>",
"username": "<string>",
"name": "<string>",
"avatar": "<string>",
"bio": "<string>",
"location": {
"type": "<string>",
"coordinates": [
123
]
},
"birthdate": "<string>",
"metadata": {},
"suspensions": [
{}
],
"reputation": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Auth Endpoints
Sign In
Authenticate a user using email and password
POST
/
:projectId
/
auth
/
sign-in
Sign In
Authenticate a user using email and password. Returns an access token, a refresh token, and user data.
Body Parameters
User’s registered email address
User’s password
Response
Indicates whether the authentication was successful
JWT access token for authenticating API requests (expires in 30 minutes)
JWT refresh token for obtaining new access tokens (valid for 30 days)
Show properties
Show properties
Unique user identifier
User’s email address
User’s unique username
User’s full name
URL to user’s avatar image
User’s biography
User’s birthdate in ISO 8601 format
Custom public metadata
Array of active suspensions
User’s reputation score
Account creation timestamp
Last update timestamp
Error Responses
Missing Fields - 400 Bad Request
Missing Fields - 400 Bad Request
{
"error": "Email, and password are required.",
"code": "auth/missing-fields"
}
User Not Found - 403 Forbidden
User Not Found - 403 Forbidden
{
"error": "User not found.",
"code": "auth/no-user-found"
}
Missing Credentials - 403 Forbidden
Missing Credentials - 403 Forbidden
{
"error": "Invalid credentials.",
"code": "auth/invalid-credentials"
}
Incorrect Password - 401 Unauthorized
Incorrect Password - 401 Unauthorized
{
"error": "Incorrect password.",
"code": "auth/wrong-password"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error.",
"code": "auth/server-error",
"details": "<Error message>"
}
Notes
- On success, an HttpOnly cookie named
replyke-refresh-jwtis set. - The
accessTokenis returned in the response body and expires in 30 minutes. - Refresh token is valid for 30 days.
- Active suspensions are included in the response user object.
- Only valid users with matching credentials can sign in.
⌘I

